/*
 Navicat Premium Dump SQL

 Source Server         : qdhome.iot321.top-dev
 Source Server Type    : MySQL
 Source Server Version : 50740 (5.7.40-log)
 Source Host           : qdhome.iot321.top:33103
 Source Schema         : pla-chem-sim-dev-1

 Target Server Type    : MySQL
 Target Server Version : 50740 (5.7.40-log)
 File Encoding         : 65001

 Date: 15/12/2024 19:22:09
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for sim_fault
-- ----------------------------
DROP TABLE IF EXISTS `sim_fault`;
CREATE TABLE `sim_fault`  (
  `fault_id` char(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '故障ID',
  `parent_fault_id` char(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '父故障ID',
  `sim_type` char(4) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '模拟器类型\r\n',
  `fault_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '故障类型:\r\n1:故障现象\r\n2:故障现象的可能原因\r\n3:故障部位\r\n4:故障部位的排除方法\r\n5:修复结论',
  `conflict_fault_id` char(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '互斥的故障ID',
  `replace_part` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '是否是更换件 1:是 0:不是',
  `replace_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更换件名称',
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '名称',
  `sim_msg` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '通信报文',
  `order_num` int(4) NULL DEFAULT NULL COMMENT '显示顺序',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`fault_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = 'sim-故障表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sim_fault
-- ----------------------------
INSERT INTO `sim_fault` VALUES ('000100010000', '000000000000', '0001', '1', '', '0', NULL, '开机无响应', '', 1, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000100010001', '000100010000', '0001', '3', '', '1', NULL, '1.电源开关', '', 1, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000100010002', '000100010000', '0001', '3', '', '1', NULL, '2.DC/DC转换芯片', '', 2, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000100020000', '000000000000', '0001', '1', '', '0', NULL, '开机后按抽气开关，微电机不工作', '', 2, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000100020003', '000100020000', '0001', '3', '', '1', NULL, '3.微电机', '', 3, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000100020004', '000100020000', '0001', '3', '', '1', NULL, '4.Q2', '', 4, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000100030000', '000000000000', '0001', '1', '', '0', NULL, '抽气流量不足', '', 3, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000100030005', '000100030000', '0001', '3', '', '1', NULL, '5.滤网', '', 5, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000100030006', '000100030000', '0001', '3', '', '1', NULL, '6.调速电位器', '', 6, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000100040000', '000000000000', '0001', '1', '', '0', NULL, '开机后按下加热开关，加热灯不亮，也未加热', '', 4, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000100040007', '000100040000', '0001', '3', '', '1', NULL, '7.加热指示灯', '', 7, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000100040008', '000100040000', '0001', '3', '', '1', NULL, '8.热敏开关', '', 8, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000100050000', '000000000000', '0001', '1', '', '0', NULL, '不能正常工作', '', 5, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000100050009', '000100050000', '0001', '3', '', '1', NULL, '9.外壳及零件', '', 9, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000100060000', '000000000000', '0001', '1', '', '0', NULL, '电压低', '', 6, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000100060010', '000100060000', '0001', '3', '', '1', NULL, '10.供电模块', '', 10, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000100070000', '000000000000', '0001', '1', '', '0', NULL, '抽气指示灯不亮', '', 7, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000100070011', '000100070000', '0001', '3', '', '1', NULL, '11.抽气指示灯', '', 11, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000200010000', '000000000000', '0002', '1', '', '0', NULL, '仪器无法开机', '', 1, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000200010001', '000200010000', '0002', '3', '', '1', NULL, '1.薄膜开关FPC排线', '', 1, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000200010002', '000200010000', '0002', '3', '', '1', NULL, '2.主控板开机电路', '', 2, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000200020000', '000000000000', '0002', '1', '', '0', NULL, '蜂鸣器自检时，声音异常', '', 2, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000200020003', '000200020000', '0002', '3', '', NULL, NULL, '3.蜂鸣器出声口', '', 3, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000200020004', '000200020000', '0002', '3', '', NULL, NULL, '4.接口接线板', '', 4, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000200030000', '000000000000', '0002', '1', '', NULL, NULL, '仪器进入检测界面后，通入检测剂不报警', '', 3, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000200030005', '000200030000', '0002', '3', '', NULL, NULL, '5.检测剂', '', 5, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000200030006', '000200030000', '0002', '3', '', NULL, NULL, '6.主控板信号采集电路', '', 6, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000200040000', '000000000000', '0002', '1', '', NULL, NULL, '显示屏无显示', '', 4, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000200040007', '000200040000', '0002', '3', '', NULL, NULL, '7.主控板显示屏供电电路', '', 7, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000200040008', '000200040000', '0002', '3', '', NULL, NULL, '8.显示屏', '', 8, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000200050000', '000000000000', '0002', '1', '', NULL, NULL, '长时间不进入“检测中”', '', 5, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000200050009', '000200050000', '0002', '3', '', NULL, NULL, '9.干燥管', '', 9, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000200050010', '000200050000', '0002', '3', '', NULL, NULL, '10.维护管', '', 10, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000200060000', '000000000000', '0002', '1', '', NULL, NULL, '不能正常工作', '', 6, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000200060011', '000200060000', '0002', '3', '', NULL, NULL, '11.外壳及零件', '', 11, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000200070000', '000000000000', '0002', '1', '', NULL, NULL, '电压低', '', 7, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000200070012', '000200070000', '0002', '3', '', NULL, NULL, '12.供电模块', '', 12, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000200080000', '000000000000', '0002', '1', '', NULL, NULL, '无法开机', '', 8, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000200080001', '000200080000', '0002', '3', '', NULL, NULL, '13.DC/DC', '', 13, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000300010000', '000000000000', '0003', '1', '', NULL, NULL, '仪器无法开机', '', 1, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000300010001', '000300010000', '0003', '3', '', NULL, NULL, '1.FFC排线', '', 1, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000300010002', '000300010000', '0003', '3', '', NULL, NULL, '2.汇总主控板', '', 2, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000300020000', '000000000000', '0003', '1', '', NULL, NULL, '开机后，显示屏无显示', '', 2, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000300020003', '000300020000', '0003', '3', '', NULL, NULL, '3.显控报警板', '', 3, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000300020004', '000300020000', '0003', '3', '', NULL, NULL, '4.显示屏', '', 4, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000300030000', '000000000000', '0003', '1', '', NULL, NULL, '检测状态下模拟剂不报警', '', 3, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000300030005', '000300030000', '0003', '3', '', NULL, NULL, '5.汇总主控板信号采集电路', '', 5, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000300030006', '000300030000', '0003', '3', '', NULL, NULL, '6.检测剂', '', 6, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000300040000', '000000000000', '0003', '1', '', NULL, NULL, '长时间不能进入检测状态', '', 4, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000300040007', '000300040000', '0003', '3', '', NULL, NULL, '7.干燥管', '', 7, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000300040008', '000300040000', '0003', '3', '', NULL, NULL, '8.维护管', '', 8, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000300050000', '000000000000', '0003', '1', '', NULL, NULL, '固液检测/气体检测模式切换失败', '', 5, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000300050009', '000300050000', '0003', '3', '', NULL, NULL, '9.固液检测单元与主控板连接线', '', 9, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000300050010', '000300050000', '0003', '3', '', NULL, NULL, '10.汇总主控板固液通信电路', '', 10, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000300050011', '000300050000', '0003', '3', '', NULL, NULL, '11.切换按键', '', 11, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000300060000', '000000000000', '0003', '1', '', NULL, NULL, '有毒有害气体检测模块不报警', '', 6, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000300060012', '000300060000', '0003', '3', '', NULL, NULL, '12.高压驱动板与汇总主控板连接线', '', 12, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000300060013', '000300060000', '0003', '3', '', NULL, NULL, '13.汇总主控板毒害模块通信电路', '', 13, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000300070000', '000000000000', '0003', '1', '', NULL, NULL, '不能正常工作', '', 7, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000300070014', '000300070000', '0003', '3', '', NULL, NULL, '14.外壳及零件', '', 14, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000300080000', '000000000000', '0003', '1', '', NULL, NULL, '电压低', '', 8, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000300080015', '000300080000', '0003', '3', '', NULL, NULL, '15.供电模块', '', 15, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000300090000', '000000000000', '0003', '1', '', NULL, NULL, '无法开机', '', 9, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000300090016', '000300090000', '0003', '3', '', NULL, NULL, '16.DC/DC', '', 16, NULL, NULL, NULL, NULL, NULL);

SET FOREIGN_KEY_CHECKS = 1;
